#ifndef __POINT_H__
#define __POINT_H__

#include "list.h"

class pitem: public litem {
  private:
  protected:
    GdkPoint _point;
  public:
    pitem(void)          { _point.x = 0; _point.y = 0; return; }
    pitem(int x, int y)  { _point.x = (gint16) x; _point.y = (gint16) y; return; }
    pitem(GdkPoint  p)   { _point = p;  return; }

    litem *copy(void)    { return new pitem(_point); }

    GdkPoint p(void)     { return _point; }
    int  x(void)         { return (int) _point.x; }
    int  y(void)         { return (int) _point.y; }
    void draw(GdkDrawable *drawable, GdkGC *gc);
    void lineto(GdkDrawable *drawable, GdkGC *gc, int from_x, int from_y);
    void lineto(GdkDrawable *drawable, GdkGC *gc, GdkPoint from);
    void print(FILE *stream) {
        fprintf( stream, "%3d %3d\n", (int) _point.x, (int) _point.y );
        return;
    }
};



#endif /* __POINT_H__ */
