#ifndef __BALL_H__
#define __BALL_H__

#include <stdio.h>
#include <stdlib.h>
#include <assert.h>
#include <unistd.h>

#include <gdk/gdk.h>
#include <gtk/gtk.h>


#define DEFAULT_BALL_RADIUS         400
#define DEFAULT_KA                  20
#define DEFAULT_KD                  62
#define DEFAULT_KS                  45
#define DEFAULT_NUM_SHADES          128
#define DEFAULT_RED                 20
#define DEFAULT_GREEN               20
#define DEFAULT_BLUE                100


extern char      *progname;
extern GtkWidget *main_window;
extern GtkWidget *darea;
extern GdkPixmap *backing_pixmap;

extern guint      Ka, Ks, Kd;
extern guint      num_shades;
extern gulong     red, green, blue;
/* extern GdkColor  *palette; */
extern GdkColor  *palette;

extern char *errMemory;
extern char *errPalette;


extern void draw_ball( GdkDrawable *drawable, GdkColor *palette,
                       guint num_shades, guint Ka, guint Kd, guint Ks,
                       gint xc, gint yc, guint R );
extern GtkWidget *create_controls_box(void);


#endif /* __BALL_H__ */
