#! /bin/sh

./function.py -x '-pi' -y '-2' -X '2*pi' -Y '2' -c 2 'sin(x)'            > sets/func_sine.set
./function.py -x '-pi' -y '-2' -X '2*pi' -Y '2' -c 3 'cos(x)'            > sets/func_cosine.set
./function.py -x '-pi' -y '-2' -X '2*pi' -Y '2' -c 4 'tan(x)'            > sets/func_tangent.set
./function.py -x '-pi' -y '-2' -X '2*pi' -Y '2' -c 5 'sin(x) + sin(2*x)' > sets/func_sin_x_sin_2x.set

./function.py -s .1 -x '-10.05' -y '-18' -X '10' -Y '6' -c 5 '(x-1)**3/(x+1)**2' > sets/func_x-1_x+1.set

./pythagor.py -d 5 -a pi/6 -u -5 -v -5  > sets/pythagor.set
./pythagor.py -d 11 -a pi/7 -u -5 -v -5 > sets/pythagor1.set

./hilbert-moore.py -s 3 > sets/hilbert.set
./hilbert-moore.py -s 6 > sets/hilbert1.set

./hilbert-moore.py -ms 3 > sets/moore.set
./hilbert-moore.py -ms 6 > sets/moore1.set

./peano.py      > sets/peano.set
./peano.py -s 4 > sets/peano1.set
