#include "point.h"

void pitem::draw(GdkDrawable *drawable, GdkGC *gc)
{
    gdk_draw_point( drawable, gc, _point.x, _point.y );
    return;
}

void pitem::lineto(GdkDrawable *drawable, GdkGC *gc, GdkPoint from)
{
    gdk_draw_line( drawable, gc, from.x, from.y, _point.x, _point.y );
    return;
}

void pitem::lineto(GdkDrawable *drawable, GdkGC *gc, int from_x, int from_y)
{
    gdk_draw_line( drawable, gc, from_x, from_y, _point.x, _point.y );
    return;
}



/*
 * Local variables:
 * compile-command: "make -k && ./triangulate"
 * End:
 */
