#include "triangle.h"

void titem::draw(GdkDrawable *drawable, GdkGC *gc)
{
    gdk_draw_line( drawable, gc,
                   this->_point.x, this->_point.y,
                   this->point1.x, this->point1.y );
    gdk_draw_line( drawable, gc,
                   this->point1.x, this->point1.y,
                   this->point2.x, this->point2.y );
    gdk_draw_line( drawable, gc,
                   this->point2.x, this->point2.y,
                   this->_point.x, this->_point.y );

    return;
}

void titem::print(FILE *stream) {
    fprintf( stream, "%3d %3d   %3d %3d   %3d %3d\n",
             (int) _point.x, (int) _point.y,
             (int) point1.x, (int) point1.y,
             (int) point2.x, (int) point2.y );
    return;
}


/*
 * Local variables:
 * compile-command: "make -k && ./triangulate"
 * End:
 */
